// shader by ETc|#.Jay.# etclan.de //
//
// Levelshots  //
levelshots/etc-arena_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/etc-arena_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/etc-arena_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/etc-arena_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}
// Levelshots End //

// Terrain //
textures/desert_sd/sand_wave_desert1
{ 
	q3map_lightmapSize 1024 1024
	q3map_lightmapsamplesize 4
    qer_editorimage textures/desert_sd/sand_wave_desert1.tga
    q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 ) 
	surfaceparm gravelsteps
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeangle 90
    
	{ 
        map textures/desert_sd/sand_wave_desert1.tga
        rgbGen identity
    } 
    { 
        map textures/desert_sd/sand_wave_desert1.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex 
        rgbGen identity 
    } 
    {	
		lightmap $lightmap 
        blendFunc GL_DST_COLOR GL_ZERO 
        rgbGen identity
    } 
}

textures/desert_sd/sand_disturb_desert1
{
    surfaceparm landmine
    surfaceparm snowsteps
	q3map_nonplanar
	q3map_shadeangle 90
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/desert_sd/sand_disturb_desert1.tga
		blendFunc filter
	}
}
//Terrain End//

textures/g8_frag_arena/g8_gouki_jay
{
    qer_editorimage textures/g8_frag_arena/g8_gouki_jay.tga
	nopicmip
	nocompress
	nomipmaps
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 60
	polygonOffset
	{
		map textures/g8_frag_arena/g8_gouki_jay.tga
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

// Counter Textures //
textures/g8_frag_arena/axis_flag
{
    qer_editorimage textures/g8_frag_arena/axis_flag.jpg
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	nopicmip
	nocompress
	nomipmaps
	polygonOffset
	{
		map textures/g8_frag_arena/axis_flag.jpg
	}
}

textures/g8_frag_arena/allies_flag
{
    qer_editorimage textures/g8_frag_arena/allies_flag.jpg
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	nopicmip
	nocompress
	nomipmaps
	polygonOffset
	{
		map textures/g8_frag_arena/allies_flag.jpg
	}
}

textures/g8_frag_arena/versus
{
    qer_editorimage textures/g8_frag_arena/versus.tga
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	nopicmip
	nocompress
	nomipmaps
	polygonOffset
	{
		map textures/g8_frag_arena/versus.tga
	}
}

models/cnt/cnt_001_0
{
    qer_editorimage models/cnt/cnt_001_0.jpg
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	nopicmip
	nocompress
	nomipmaps
	polygonOffset
	{
		map models/cnt/cnt_001_0.jpg
	}
}

models/cnt/cnt_001_1
{
    qer_editorimage models/cnt/cnt_001_1.jpg
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	nopicmip
	nocompress
	nomipmaps
	polygonOffset
	{
		map models/cnt/cnt_001_1.jpg
	}
}

models/cnt/cnt_001_2
{
    qer_editorimage models/cnt/cnt_001_2.jpg
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	nopicmip
	nocompress
	nomipmaps
	polygonOffset
	{
		map models/cnt/cnt_001_2.jpg
	}
}

models/cnt/cnt_001_3
{
    qer_editorimage models/cnt/cnt_001_3.jpg
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	nopicmip
	nocompress
	nomipmaps
	polygonOffset
	{
		map models/cnt/cnt_001_3.jpg
	}
}

models/cnt/cnt_001_4
{
    qer_editorimage models/cnt/cnt_001_4.jpg
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	nopicmip
	nocompress
	nomipmaps
	polygonOffset
	{
		map models/cnt/cnt_001_4.jpg
	}
}

models/cnt/cnt_001_5
{
    qer_editorimage models/cnt/cnt_001_5.jpg
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	nopicmip
	nocompress
	nomipmaps
	polygonOffset
	{
		map models/cnt/cnt_001_5.jpg
	}
}

models/cnt/cnt_001_6
{
    qer_editorimage models/cnt/cnt_001_6.jpg
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	nopicmip
	nocompress
	nomipmaps
	polygonOffset
	{
		map models/cnt/cnt_001_6.jpg
	}
}

models/cnt/cnt_001_7
{
    qer_editorimage models/cnt/cnt_001_7.jpg
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	nopicmip
	nocompress
	nomipmaps
	polygonOffset
	{
		map models/cnt/cnt_001_7.jpg
	}
}

models/cnt/cnt_001_8
{
    qer_editorimage models/cnt/cnt_001_8.jpg
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	nopicmip
	nocompress
	nomipmaps
	polygonOffset
	{
		map models/cnt/cnt_001_8.jpg
	}
}

models/cnt/cnt_001_9
{
    qer_editorimage models/cnt/cnt_001_9.jpg
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	nopicmip
	nocompress
	nomipmaps
	polygonOffset
	{
		map models/cnt/cnt_001_9.jpg
	}
}
// Counter  Textures End //

// Portal Camera //
textures/sfx/portal_etc
{
    portal
    surfaceparm nolightmap


    {
        map textures/sfx/portal_etc.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }


    {
        map textures/sfx/portalfog.tga
        blendfunc gl_src_alpha gl_one_minus_src_alpha
        alphagen portal 512
        blendfunc gl_dst_color gl_zero
    }
}
// Portal Camera End //


textures/g8_frag_arena/instructions1
{
    qer_editorimage textures/g8_frag_arena/instructions1.jpg
	nopicmip
	nocompress
	nomipmaps
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 60
	polygonOffset
	{
		map textures/g8_frag_arena/instructions1.jpg
	}
}

textures/g8_frag_arena/lighttex
{
 qer_trans .5
 surfaceparm trans
 surfaceparm nolightmap 

                      cull disable
                 {
                  map textures/g8_frag_arena/lighttex.jpg
                  tcGen environment
                  tcMod turb 0 0.01 0 0.01
                  tcmod scroll .0 .0
                  blendfunc GL_ONE GL_ONE
                  }
}